#include <bits/stdc++.h>
#define int long long
using namespace std;

int32_t main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, m; cin >> n >> m;
    int ans = 2*(n+m-2);
    ans+=(n-2)*(m-2)/2;
    cout << ans << '\n';
    return 0;
}